Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.session
Interface ComponentSession.ExternalComponent

All Superinterfaces:
  org.xmpp.component.Component

All Known Implementing Classes:
  LocalComponentSession.LocalExternalComponent

Enclosing interface:
  ComponentSession

    public static interface ComponentSession.ExternalComponent

extends org.xmpp.component.Component

The ExternalComponent acts as a proxy of the remote connected component. Any Packet that is sent to this component will be delivered to the real component on the other side of the connection.

An ExternalComponent will be added as a route in the RoutingTable for each connected external component. This implies that when the server receives a packet whose domain matches the external component services address then a route to the external component will be used and the packet will be forwarded to the component on the other side of the connection.

Author:
  Gaston Dombiak

Method Summary
`String` | `getCategory()`
`String` | `getInitialSubdomain()`
`Collection<String>` | `getSubdomains()`
`String` | `getType()`
`void` | `setCategory(String category)`
`void` | `setName(String name)`
`void` | `setType(String type)`

Methods inherited from interface org.xmpp.component.Component
`getDescription, getName, initialize, processPacket, shutdown, start`

Method Detail

### setName

    void setName(String name)

### getType

    String getType()

### setType

    void setType(String type)

### getCategory

    String getCategory()

### setCategory

    void setCategory(String category)

### getInitialSubdomain

    String getInitialSubdomain()

### getSubdomains

    Collection<String> getSubdomains()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.